//+------------------------------------------------------------------+
//|                                                 Speed.mq4        |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 LightSeaGreen
#property indicator_color2 Red
#property indicator_level1 10
#property indicator_level2 -10
//---- buffers
extern int timeFrame = 0;
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorShortName("");
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   timeFrame=MathMax(timeFrame,Period());
//----
   return(0);
  }
//------------------------------------------------------------------
//
//------------------------------------------------------------------
int start()
{
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(MathMax(Bars-counted_bars,3*timeFrame/Period()),Bars-1);

   for(i=limit; i>=0; i--)
   {
      int y = iBarShift(NULL,timeFrame,Time[i]);
      ExtMapBuffer1[i]=(iCustom(NULL,timeFrame,"adaptive rsi",0,y)*10000)-(iCustom(NULL,timeFrame,"adaptive rsi",0,y+1)*10000);
   }
   return(0);
}